/*
 * Copyright 2010 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.sample.expenses.gwt.request;

import com.google.gwt.requestfactory.shared.RequestFactory;

/**
 * "API generated" factory interface to build request objects for the methods of
 * {@link com.google.gwt.sample.expenses.server.domain}. Client code can
 * GWT.create() an instance of this interface to build and fire request objects.
 * <p>
 * IRL this interface will be generated by a JPA-savvy tool run before
 * compilation.
 */
public interface ExpensesRequestFactory extends RequestFactory {

  /**
   * @return a request selector
   */
  EmployeeRequest employeeRequest();

  /**
   * @return a request selector
   */
  ReportRequest reportRequest();

  // todo: probably will also need something like this to support custom service
  // methods
  // that do mutations, not just find:
  // public ReportRequest reportRequest(DeltaValueStore deltas) {
  // return new ReportRequestImpl(this);
  // }
}
