/*
 * Copyright 2010 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.sample.expenses.gwt.request;

import com.google.gwt.valuestore.shared.Property;
import com.google.gwt.valuestore.shared.Record;

import java.util.Date;

/**
 * "API Generated" DTO interface based on
 * {@link com.google.gwt.sample.expenses.server.domain.Report}.
 * <p>
 * IRL this class will be generated by a JPA-savvy tool run before compilation.
 */
@ServerType(type = com.google.gwt.sample.expenses.server.domain.Report.class)
public interface ReportRecord extends Record {

  Property<Date> created = new Property<Date>("created", Date.class);
  Property<String> purpose = new Property<String>("purpose", String.class);
  Property<EmployeeRecord> reporter = new Property<EmployeeRecord>("reporter",
      EmployeeRecord.class);

  Date getCreated();

  String getPurpose();

  EmployeeRecord getReporter();
}
